POSTestimatesmartfee

Bitcoin Mainnethttps://bitcoin-mainnet.nodit.io/

Estimates the fee rate per kvB needed for a transaction to begin confirmation within the target number of blocks.

Request Body
idintegerrequired
jsonrpcstringrequired
methodstringrequired
paramsoneOf[]required

It contains following parameters in order:

  1. conf_target: The confirmation target in blocks, as an integer between 1 and 1008. (required)
  2. estimate_mode: The fee estimate mode, as a string. (optional, default economical)
params[0]integer

The confirmation target in blocks. Pass a value between 1 and 1008.

params[1]string (enum)

The fee estimate mode.

  • economical: Estimates over a shorter time horizon, so it is more responsive to short-term fee drops.
  • conservative: Estimates over a longer time horizon, so it is less responsive to short-term fee drops. It is more likely to be sufficient for the target but may return a higher fee rate.
  • unset: Does not set a mode and uses the default behavior.
Responses
feeratenumber

The estimated fee rate, expressed in BTC/kvB. Returned only when no errors were encountered.

errorsstring[]

The list of errors encountered during estimation. Returned only when an error occurred.

blocksinteger

The block number where the estimate was found. The requested target is clamped between 2 and the highest target fee estimation is able to return.

X-API-KEY
RequestCU20
cURL
curl -X POST "https://bitcoin-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "id": 1,
  "jsonrpc": "2.0",
  "method": "estimatesmartfee",
  "params": [
    6,
    "economical"
  ]
}'
Response
Example · 200
{
  "jsonrpc": "2.0",
  "id": 1,
  "result": {
    "feerate": 0.00018327,
    "blocks": 6
  }
}